.top-2px {
    top: 2px;
}
.top-4px {
    top: 4px;
}
.top-6px {
    top: 6px;
}
.top-10px {
    top: 10px;
}
.top-15px {
    top: 15px;
}
.top-20px {
    top: 20px;
}
.top-25px {
    top: 25px;
}
.top-30px {
    top: 30px;
}
.top-35px {
    top: 35px;
}
.top-40px {
    top: 40px;
}
.top-50px {
    top: 50px;
}
.top-100px {
    top: 100px;
}

.pt-1px {
    padding-top: 1px;
}
.pt-2px {
    padding-top: 2px;
}
.pt-3px {
    padding-top: 3px;
}
.pt-4px {
    padding-top: 4px;
}
.pt-5px {
    padding-top: 5px;
}
.pt-6px {
    padding-top: 6px;
}
.pt-8px {
    padding-top: 8px;
}
.pt-9px {
    padding-top: 9px;
}
.pt-10px {
    padding-top: 10px;
}
.pt-11px {
    padding-top: 11px;
}
.pt-12px {
    padding-top: 12px;
}
.pt-13px {
    padding-top: 13px;
}

.text-23px {
    font-size: 23px !important;
}

.text-20px {
    font-size: 20px !important;
}

.text-19px {
    font-size: 19px !important;
}

.text-18px {
    font-size: 18px !important;
}

.text-17px {
    font-size: 17px !important;
}

.text-16px {
    font-size: 16px !important;
}

.text-15px {
    font-size: 15px !important;
}

.text-14px {
    font-size: 14px !important;
}

.text-13px {
    font-size: 13px !important;
}

.text-12px {
    font-size: 12px !important;
}

.text-11px {
    font-size: 11px !important;
}

.text-10px {
    font-size: 10px !important;
}

.text-9px {
    font-size: 9px !important;
}

.text-8px {
    font-size: 8px !important;
}

.h-10px {
    height: 10px;
}
.h-20px {
    height: 20px;
}
.h-30px {
    height: 30px;
}
.h-40px {
    height: 40px;
}
.h-50px {
    height: 50px;
}
.h-60px {
    height: 60px;
}
.h-70px {
    height: 70px;
}
.h-80px {
    height: 80px;
}
.h-90px {
    height: 90px;
}
.h-100px {
    height: 100px;
}

.w-10px {
    width: 10px;
}
.w-20px {
    width: 20px;
}
.w-30px {
    width: 30px;
}
.w-40px {
    width: 40px;
}
.w-50px {
    width: 50px;
}
.w-60px {
    width: 60px;
}
.w-70px {
    width: 70px;
}
.w-80px {
    width: 80px;
}
.w-90px {
    width: 90px;
}
.w-100px {
    width: 100px;
}

.inner-hover-items {
    height: unset;
    gap: 15px;
}
.parent-category-item {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--darkColor);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    padding: 12px 0px;
}
.parent-category-item.active,
.parent-category-item:hover {
    color: var(--skinColor);
}
.mega-subDrop-wrap {
    left: 190px;
}

.image-100 {
    min-width: 100px !important;
    width: 100px !important;
    height: 100px !important;
    border-radius: 50% !important;
    object-fit: cover !important;
}

.image-80 {
    width: 80px !important;
    min-width: 80px !important;
    height: 80px !important;
    border-radius: 50% !important;
    object-fit: cover !important;
}

.image-50 {
    width: 50px !important;
    min-width: 50px !important;
    height: 50px !important;
    border-radius: 50% !important;
    object-fit: cover !important;
}

.image-45 {
    width: 45px !important;
    min-width: 45px !important;
    height: 45px !important;
    border-radius: 50% !important;
    object-fit: cover !important;
}

.image-40 {
    width: 40px !important;
    min-width: 40px !important;
    height: 40px !important;
    border-radius: 50% !important;
    object-fit: cover !important;
}

.image-35 {
    width: 35px !important;
    min-width: 35px !important;
    height: 35px !important;
    border-radius: 50% !important;
    object-fit: cover !important;
}

.image-30 {
    width: 30px !important;
    min-width: 30px !important;
    height: 30px !important;
    border-radius: 50% !important;
    object-fit: cover !important;
}

/* Start Ellipsis text lines */
.ellipsis-line-1 {
    display: -webkit-box !important;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
    white-space: normal !important;
}

.ellipsis-line-2 {
    display: -webkit-box !important;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

.ellipsis-line-3 {
    display: -webkit-box !important;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

.ellipsis-line-4 {
    display: -webkit-box !important;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}

.ellipsis-line-5 {
    display: -webkit-box !important;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
}
/* End Ellipsis text lines */

/*Border Radius*/
.radius-1px {
    border-radius: 1px !important;
}

.radius-2px {
    border-radius: 2px !important;
}

.radius-3px {
    border-radius: 3px !important;
}

.radius-4px {
    border-radius: 4px !important;
}

.radius-5px {
    border-radius: 5px !important;
}

.radius-6px {
    border-radius: 6px !important;
}

.radius-7px {
    border-radius: 7px !important;
}

.radius-8px {
    border-radius: 8px !important;
}

.radius-9px {
    border-radius: 9px !important;
}

.radius-10px {
    border-radius: 10px !important;
}

.radius-11px {
    border-radius: 11px !important;
}

.radius-12px {
    border-radius: 12px !important;
}

.radius-13px {
    border-radius: 13px !important;
}

.radius-14px {
    border-radius: 14px !important;
}

.radius-15px {
    border-radius: 15px !important;
}

.radius-16px {
    border-radius: 16px !important;
}

.radius-17px {
    border-radius: 17px !important;
}

.radius-18px {
    border-radius: 18px !important;
}

.radius-19px {
    border-radius: 19px !important;
}

.radius-20px {
    border-radius: 20px !important;
}

/*End Border Radius*/

/* Rating start */
.form-check-label-checkbox {
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: var(--grayColor);
    cursor: pointer;
}

.filter-rating-select .form-checkbox:not(:last-child) {
    margin-bottom: 12px;
}
.filter-rating-select .mcheck-label {
    display: flex;
    align-items: center;
    column-gap: 4px;
}

/* Rating end */

.grid-pagination-sm .page-link {
    height: 28px !important;
    width: 28px !important;
    font-size: 12px;
}

@media all and (max-width: 575px) {
    .grid-pagination-sm .page-link {
        height: 28px !important;
        width: max-content !important;
        font-size: 12px;
    }
    .grid-pagination-sm .page-item:last-child .page-link,
    .grid-pagination .page-item:first-child .page-link {
        font-size: 12px !important;
    }
}

@media print {
    .print-content {
        position: fixed !important;
        margin: 0 !important;
        top: 0 !important;
        bottom: 0 !important;
        left: 0 !important;
        right: 0 !important;
        z-index: 3333 !important;
        width: 100% !important;
        background: #fff !important;
    }
    .print-d-none {
        display: none !important;
    }
    footer,
    nav,
    title {
        display: none !important;
    }
    body {
        overflow: hidden !important;
    }
}

.text-primary {
    color: #3a837e !important;
}
.text-success {
    color: #17c653 !important;
}
.text-success-20 {
    color: #17c65420 !important;
}
.text-success-30 {
    color: #17c65430 !important;
}
.text-success-40 {
    color: #17c65440 !important;
}
.text-success-50 {
    color: #17c65450 !important;
}
.text-success-60 {
    color: #17c65460 !important;
}
.text-success-70 {
    color: #17c65470 !important;
}
.text-success-80 {
    color: #17c65480 !important;
}
.text-success-90 {
    color: #17c65490 !important;
}
.text-warning {
    color: #fb9927 !important;
}
.text-danger {
    color: #f8285a !important;
}
.text-light {
    color: #d8dce7 !important;
}
.text-dark {
    color: #0a1017 !important;
}

.bg-primary {
    background-color: #3a837e !important;
}
.bg-success {
    background-color: #17c653 !important;
}
.bg-success-20 {
    background-color: #17c65420 !important;
}
.bg-success-30 {
    background-color: #17c65430 !important;
}
.bg-success-40 {
    background-color: #17c65440 !important;
}
.bg-success-50 {
    background-color: #17c65450 !important;
}
.bg-success-60 {
    background-color: #17c65460 !important;
}
.bg-success-70 {
    background-color: #17c65470 !important;
}
.bg-success-80 {
    background-color: #17c65480 !important;
}
.bg-success-90 {
    background-color: #17c65490 !important;
}
.bg-warning {
    background-color: #fb9927 !important;
}
.bg-danger {
    background-color: #f8285a !important;
}
.bg-light {
    background-color: #d8dce7 !important;
}
.bg-dark {
    background-color: #0a1017 !important;
}

/* Manage Hover */
.show-me {
    display: none;
}
.hover-me:hover .show-me {
    display: inline-block;
}
/* Manage Hover End */

/* Payment gateway */
.payment-gateway-selector {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: 1px solid #d3dcdd;
    border-radius: 6px;
    padding: 10px;
    min-width: 220px;
    max-width: 300px;
    cursor: pointer;
    margin-bottom: 6px;
}
.selector.selected,
.selector:hover {
    border: 1px solid #17c653 !important;
}
.payment-gateway-selector.selected,
.payment-gateway-selector:hover {
    border: 1px solid #17c653 !important;
}
.payment-gateway-selector img {
    object-fit: contain;
    width: 100px;
    height: 30px;
}
.payment-gateway-selector i {
    color: #d3dcdd;
}
.payment-gateway-selector.selected i,
.payment-gateway-selector:hover i {
    color: #17c653;
}
.btn-payment {
    background-color: #17c653;
    padding: 14px 0px !important;
    width: 100%;
    color: #fff;
    border: 0px;
}
.btn-payment:hover {
    background-color: #0f9940;
    color: #fff;
}
/* Payment gateway end*/

/* Shipping address status */
.up-badge-info {
    border: none;
    width: fit-content;
    padding: 5px 10px;
    border-radius: 4px;
    background: #d8dce7;
    color: #0a1017;
    font-family: "Inter";
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%; /* 12px */
}
.up-badge-dark {
    border: none;
    width: fit-content;
    padding: 5px 10px;
    border-radius: 4px;
    background: #0a1017;
    color: #fff;
    font-family: "Inter";
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%; /* 12px */
}
.up-badge-yellow {
    border: none;
    width: fit-content;
    padding: 5px 10px;
    border-radius: 4px;
    background: rgba(255, 198, 0, 0.12);
    color: #e9b500;
    font-family: "Inter";
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%; /* 12px */
}

/* Pagination */
.fsh-pagination {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 12px;
}
.fsh-page-link {
    height: 40px;
    width: 40px;
    min-width: 40px;
    border-radius: 50%;
    background: var(--lightColor2);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--darkColor);
    text-align: center;
    font-family: "Albert Sans";
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%; /* 14px */
    transition: 0.3s;
}
.fsh-page-link.active,
.fsh-page-link:hover {
    background: var(--darkColor);
    color: var(--whiteColor);
}
.fsh-page-link path {
    stroke: var(--darkColor);
    transition: 0.3s;
}
.fsh-page-link.active path,
.fsh-page-link:hover path {
    stroke: var(--whiteColor);
}
.fsh-page-link.disable {
    opacity: 0.5;
    pointer-events: none;
}

/* invoice */

.invoice-table-header {
    position: relative;
}
.involice-list-item {
    color: var(--darkColor);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
}
.involice-list-item:not(:last-child) {
    margin-bottom: 12px;
}

/* Responsive */
@media all and (max-width: 991px) {
    /* Invoice */
    .invoice-table-header {
        padding-right: 34px;
    }
}

.modal-footer .ol-btn-secondary {
    background-color: #e8e7ee;
}
.modal-footer .confirm-btn {
    border-radius: 8px;
    background: #242d47;
    padding: 11px 24px;
    border: none;
    transition: 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: fit-content;
    color: var(--whiteColor);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%;
}
.added .select2-container .select2-selection--single {
    height: auto;
    padding: 0.375rem 0.75rem;
    border: var(--bs-border-width) solid var(--bs-border-color);
}
.added
    .select2-container--default
    .select2-selection--single
    .select2-selection__arrow
    b {
    margin-top: 5px;
}

/* PWA */
.commonDivHidden {
    display: none;
}
.smallDeviceShow {
    backdrop-filter: saturate(180%) blur(12px);
    -webkit-backdrop-filter: saturate(180%) blur(12px);
    background: #141414bf;
    border-radius: 16px;
    bottom: 5px;
    box-shadow: 0 8px 24px #0000004d;
    display: flex;
    justify-content: space-around;
    left: 50%;
    max-width: 700px;
    padding: 8px 12px;
    position: fixed;
    text-align: center;
    transform: translate(-50%);
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    width: calc(100% - 32px);
    z-index: 99;
    color: #fff;
}
.smallDeviceShow li a {
    align-items: center;
    background: transparent;
    border: none;
    color: #ddd;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    font-size: 14px;
    font-weight: 600;
    justify-content: center;
    outline-offset: 4px;
    padding: 6px 0;
    position: relative;
    transition: 0.5s;
}
/* .smallDeviceShow li a:hover{
    color: var(--skinColor);
} */
.smallDeviceShow li a i {
    font-size: 18px;
}

/* New Css Add */
.gallery-images-grid {
    gap: 25px;
}

.dtBtn {
    gap: 6px;
}
.fsh-tab-link::after {
    bottom: 0;
}
.product-additional-info .al-title-16px {
    line-height: 140%;
}


/* Search box expand */

.search-wrapper {
    display: inline-flex;
    align-items: center;
}

.search-toggle-btn svg {
    transition: color 0.3s ease;
}

.search-expand {
    width: 0;
    opacity: 0;
    transform: translateX(20px);
    /* slight slide from right */
    transition: all 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
    /* smooth professional easing */
    pointer-events: none;
    z-index: 1000;
}

.search-expand.active {
    width: 440px;
    opacity: 1;
    transform: translateX(0);
    pointer-events: auto;
}

.search-expand form {
    min-width: 340px;
}

.form-control {
    height: 44px;
    font-size: 15px;
}

.form-control:focus {
    outline: none;
    box-shadow: none;
}

.clear-btn {
    z-index: 5;
}

@media (max-width: 991px) {
    .search-expand.active {
        width: 100vw !important;
        left: 0 !important;
        right: auto !important;
        transform: translateX(0) !important;
    }

    .search-expand form {
        min-width: 100%;
        border-radius: 0;
        box-shadow: none;
        display: none !important;
    }
}



/* Order Tracking Header Button */
.order-tracking-btn{
    background: transparent;
    border: 1px solid #e5e7eb;   /* light border */
    color: #0D0E10;              /* same as wishlist icon */
    text-decoration: none;
    transition: all 0.2s ease-in-out;
}

.order-tracking-btn:hover{
    background: rgba(0,0,0,0.04);
    color: #0D0E10;
}

/* Ensure SVG behaves like other header icons */
.order-tracking-btn svg{
    display: block;
}


/* test css */
